net.sf.jasperreports.crosstabs

## Interface JRCrosstabMeasure

- All Superinterfaces:
    java.lang.Cloneable, JRCloneable
  All Known Implementing Classes:
    JRBaseCrosstabMeasure, JRDesignCrosstabMeasure, JRFillCrosstabMeasure

      public interface JRCrosstabMeasure
      extends JRCloneable

  Crosstab measure interface.

  A measure is a value that is accumulated by the crosstab and is displayed in the crosstab cells.

  Version:
    $Id: JRCrosstabMeasure.java 5877 2013-01-07 19:51:14Z teodord $
  Author:
    Lucian Chirita (lucianc@users.sourceforge.net)

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `CalculationEnum` | `getCalculationValue()` Returns the calculation type which will be performed on the measure values.
    `java.lang.Class<?>` | `getIncrementerFactoryClass()` Returns the incrementer factory class.
    `java.lang.String` | `getIncrementerFactoryClassName()` Returns the incrementer factory class name.
    `java.lang.String` | `getName()` Returns the name of the measure.
    `java.lang.Class<?>` | `getPercentageCalculatorClass()` Returns the percentage calculator class.
    `java.lang.String` | `getPercentageCalculatorClassName()` Returns the percentage calculator class name.
    `CrosstabPercentageEnum` | `getPercentageType()` Returns the percentage calculation type performed on this measure.
    `java.lang.Class<?>` | `getValueClass()` Returns the value class of this measure.
    `java.lang.String` | `getValueClassName()` Returns the name of the value class for this measure.
    `JRExpression` | `getValueExpression()` Returns the measure expression.
    `JRVariable` | `getVariable()` Returns the variable associated with this measure.

    - ### Methods inherited from interface net.sf.jasperreports.engine.JRCloneable

      `clone`

- - ### Method Detail

    - #### getName

          java.lang.String getName()

      Returns the name of the measure.
      Returns:
        the name of the measure
      See Also:
        `getVariable()`

    - #### getValueClassName

          java.lang.String getValueClassName()

      Returns the name of the value class for this measure.
      Returns:
        the name of the value class for this measure

    - #### getValueClass

          java.lang.Class<?> getValueClass()

      Returns the value class of this measure.
      Returns:
        the value class of this measure

    - #### getValueExpression

          JRExpression getValueExpression()

      Returns the measure expression.
      Returns:
        the measure expression

    - #### getCalculationValue

          CalculationEnum getCalculationValue()

      Returns the calculation type which will be performed on the measure values.

      The incrementer factory associated with this measure will create an incrementer which will sum the measure values.

      The possible calculation type are the same as the ones used for variables (see `JRVariable.getCalculationValue()` with the exception of `CalculationEnum.SYSTEM`.

      Returns:
        the calculation type which will be performed on the measure values
      See Also:
        `getIncrementerFactoryClassName()`, `JRExtendedIncrementerFactory`, `JRExtendedIncrementer`

    - #### getIncrementerFactoryClassName

          java.lang.String getIncrementerFactoryClassName()

      Returns the incrementer factory class name.

      Crosstab measures require extended incrementers, therefore the incrementer class should implement `JRExtendedIncrementerFactory`.

      Returns:
        the incrementer factory class name

    - #### getIncrementerFactoryClass

          java.lang.Class<?> getIncrementerFactoryClass()

      Returns the incrementer factory class.
      Returns:
        the incrementer factory class
      See Also:
        `getIncrementerFactoryClassName()`

    - #### getPercentageType

          CrosstabPercentageEnum getPercentageType()

      Returns the percentage calculation type performed on this measure.

      Currently, only percentage out of grand total is supported.

      The possible values are:

      - `CrosstabPercentageEnum.NONE`
      - `CrosstabPercentageEnum.GRAND_TOTAL`

      If percentage calculation is required, the value class should be one of the built-in supported percentage types or the percentage calculator class should be specified.

      Returns:
        the percentage calculation type
      See Also:
        `JRPercentageCalculatorFactory.hasBuiltInCalculator(Class)`, `getPercentageCalculatorClassName()`

    - #### getPercentageCalculatorClassName

          java.lang.String getPercentageCalculatorClassName()

      Returns the percentage calculator class name.
      Returns:
        the percentage calculator class name

    - #### getPercentageCalculatorClass

          java.lang.Class<?> getPercentageCalculatorClass()

      Returns the percentage calculator class.
      Returns:
        the percentage calculator class

    - #### getVariable

          JRVariable getVariable()

      Returns the variable associated with this measure.

      The variable can be used inside the crosstab data cells as the measure value. The variable has the same name and value class as the measure.

      Returns:
        the variable associated with this measure

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com